Etcd for Ubuntu in openstackinstallguide

Bug #1802771 reported by Gryph on 2018-11-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openstack-manuals
Medium
Frank Kloeker

Bug Description

This bug tracker is for errors with the documentation, use the following as a template and remove or add fields as you see fit. Convert [ ] into [x] to check boxes:

- [ ] This doc is inaccurate in this way: ______
- [ ] This is a doc addition request.
- [X] I have a fix to the document that I can paste below including example: input and output.

In my installation of OpenStack Rocky on Ubuntu Server 18.04, etcd wasn't available in my apt sources list as a package to install. The default apt sources list was the following:

deb http://archive.ubuntu.com/ubuntu bionic main
deb http://archive.ubuntu.com/ubuntu bionic-security main
deb http://archive.ubuntu.com/ubuntu bionic-updates main

It wasn't until I added this to my apt sources that etcd and its dependencies could be installed:

deb http://archive.ubuntu.com/ubuntu bionic universe

It seems the documentation is built for 16.04 at this time, and on my 16.04 machine it appears the sources list defaults to universe and etcd was available without any additional configuration.

I'm not sure if etcd needs to be added to bionic main or if the documentation needs to be updated with a method of installing etcd another way, such as adding universe to the sources.list config file

-----------------------------------
Release: on 2018-11-06 13:10
SHA: 0feb7036a5515634e4fee631aed8f4475afcd0ca
Source: https://git.openstack.org/cgit/openstack/openstack-manuals/tree/doc/install-guide/source/environment-etcd-ubuntu.rst
URL: https://docs.openstack.org/install-guide/environment-etcd-ubuntu.html

Changed in openstack-manuals:
status: New → Confirmed
importance: Undecided → Medium
Kin Wong (lmckiwo) on 2019-04-16
Changed in openstack-manuals:
milestone: none → pike
Kin Wong (lmckiwo) wrote :

I spun up a clean image for Ubuntu 18.04, and I was able to install etcd without any problem.

Changed in openstack-manuals:
milestone: pike → none
Chason Chan (chen-xing) on 2019-04-17
Changed in openstack-manuals:
assignee: nobody → Chason Chan (chen-xing)
Chason Chan (chen-xing) on 2019-04-17
Changed in openstack-manuals:
status: Confirmed → In Progress
Chason Chan (chen-xing) wrote :

Checked this bug. I was able to install etcd without any problem, too. :)

Changed in openstack-manuals:
assignee: Chason Chan (chen-xing) → nobody
status: In Progress → Incomplete

It looks like issue has been resolved with the release of 18.04.1 and
18.04.2, also hilariously enough I was able to install openstack for the
first time tonight.

On Tue, Apr 16, 2019, 10:10 PM Chason Chan <email address hidden> wrote:

> Checked this bug. I was able to install etcd without any problem, too.
> :)
>
> ** Changed in: openstack-manuals
> Assignee: Chason Chan (chen-xing) => (unassigned)
>
> ** Changed in: openstack-manuals
> Status: In Progress => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1802771
>
> Title:
> Etcd for Ubuntu in openstackinstallguide
>
> Status in openstack-manuals:
> Incomplete
>
> Bug description:
>
> This bug tracker is for errors with the documentation, use the
> following as a template and remove or add fields as you see fit.
> Convert [ ] into [x] to check boxes:
>
> - [ ] This doc is inaccurate in this way: ______
> - [ ] This is a doc addition request.
> - [X] I have a fix to the document that I can paste below including
> example: input and output.
>
>
> In my installation of OpenStack Rocky on Ubuntu Server 18.04, etcd
> wasn't available in my apt sources list as a package to install. The
> default apt sources list was the following:
>
> deb http://archive.ubuntu.com/ubuntu bionic main
> deb http://archive.ubuntu.com/ubuntu bionic-security main
> deb http://archive.ubuntu.com/ubuntu bionic-updates main
>
> It wasn't until I added this to my apt sources that etcd and its
> dependencies could be installed:
>
> deb http://archive.ubuntu.com/ubuntu bionic universe
>
> It seems the documentation is built for 16.04 at this time, and on my
> 16.04 machine it appears the sources list defaults to universe and
> etcd was available without any additional configuration.
>
> I'm not sure if etcd needs to be added to bionic main or if the
> documentation needs to be updated with a method of installing etcd
> another way, such as adding universe to the sources.list config file
>
> -----------------------------------
> Release: on 2018-11-06 13:10
> SHA: 0feb7036a5515634e4fee631aed8f4475afcd0ca
> Source:
> https://git.openstack.org/cgit/openstack/openstack-manuals/tree/doc/install-guide/source/environment-etcd-ubuntu.rst
> URL:
> https://docs.openstack.org/install-guide/environment-etcd-ubuntu.html
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/openstack-manuals/+bug/1802771/+subscriptions
>

Changed in openstack-manuals:
assignee: nobody → Frank Kloeker (f-kloeker)
status: Incomplete → Confirmed
status: Confirmed → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers